Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/SelfTest/configuration/config_multi_execute-mono_thread-multi_lsq.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/SelfTest/configuration/config_multi_execute-mono_thread-multi_lsq.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/SelfTest/configuration/config_multi_execute-mono_thread-multi_lsq.gen	(revision 145)
@@ -0,0 +1,105 @@
+Read_unit_to_Execution_unit
+3	3 	*2	# nb_read_unit           
+2	2 	+1	# nb_read_unit_port    [0] [nb_read_unit]
+3	3 	+1	# nb_read_unit_port    [1] [nb_read_unit]
+1	1 	+1	# nb_read_unit_port    [2] [nb_read_unit]
+5	5 	*2	# nb_execute_unit
+2	2 	+1	# nb_execute_unit_port [0] [nb_execute_unit]
+1	1 	+1	# nb_execute_unit_port [1] [nb_execute_unit]
+1	1 	+1	# nb_execute_unit_port [2] [nb_execute_unit]
+1	1 	+1	# nb_execute_unit_port [3] [nb_execute_unit]
+1	1 	+1	# nb_execute_unit_port [4] [nb_execute_unit]
+1	1	*2	# nb_context             
+1	1	*2	# nb_front_end           
+1	1	*2	# nb_ooo_engine          
+64	64	*2	# nb_packet              
+32	32	*2	# size_general_data      
+2	2	*2	# size_special_data      
+64	64	*2	# nb_general_register    
+16	16	*2	# nb_special_register    
+4	4	*2	# size_store_queue       
+1	4	*4	# size_load_queue        
+0	1	+1	# priority
+1	1	+1	# table_routing        [0][0][0]
+1	1	+1	# table_routing        [0][0][0]
+0	0	+1	# table_routing        [0][1][0]
+0	0	+1	# table_routing        [0][2][0]
+0	0	+1	# table_routing        [0][3][0]
+0	0	+1	# table_routing        [0][4][0]
+0 	0	+1	# table_routing        [1][0][0]
+0 	0	+1	# table_routing        [1][0][1]
+1	1	+1	# table_routing        [1][1][0]
+1	1	+1	# table_routing        [1][2][0]
+0	0	+1	# table_routing        [1][3][0]
+0	0	+1	# table_routing        [1][4][0]
+0	0	+1	# table_routing        [2][0][0]
+1	1	+1	# table_routing        [2][0][1]
+0	0	+1	# table_routing        [2][1][0]
+1	1	+1	# table_routing        [2][2][0]
+1	1	+1	# table_routing        [2][3][0]
+1	1	+1	# table_routing        [2][4][0]
+0	0	+1	# table_execute_type   [0][TYPE_ALU    ]
+0	0	+1	# table_execute_type   [0][TYPE_SHIFT  ]
+0	0	+1	# table_execute_type   [0][TYPE_MOVE   ]
+0	0	+1	# table_execute_type   [0][TYPE_TEST   ]
+0	0	+1	# table_execute_type   [0][TYPE_MUL    ]
+0	0	+1	# table_execute_type   [0][TYPE_DIV    ]
+0	0	+1	# table_execute_type   [0][TYPE_EXTEND ]
+0	0	+1	# table_execute_type   [0][TYPE_FIND   ]
+0	0	+1	# table_execute_type   [0][TYPE_SPECIAL]
+0	0	+1	# table_execute_type   [0][TYPE_CUSTOM ]
+0	0	+1	# table_execute_type   [0][TYPE_BRANCH ]
+1	1	+1	# table_execute_type   [0][TYPE_MEMORY ]
+1	1	+1	# table_execute_type   [1][TYPE_ALU    ]
+1	1	+1	# table_execute_type   [1][TYPE_SHIFT  ]
+1	1	+1	# table_execute_type   [1][TYPE_MOVE   ]
+1	1	+1	# table_execute_type   [1][TYPE_TEST   ]
+1	1	+1	# table_execute_type   [1][TYPE_MUL    ]
+1	1	+1	# table_execute_type   [1][TYPE_DIV    ]
+1	1	+1	# table_execute_type   [1][TYPE_EXTEND ]
+1	1	+1	# table_execute_type   [1][TYPE_FIND   ]
+1	1	+1	# table_execute_type   [1][TYPE_SPECIAL]
+1	1	+1	# table_execute_type   [1][TYPE_CUSTOM ]
+1	1	+1	# table_execute_type   [1][TYPE_BRANCH ]
+0	0	+1	# table_execute_type   [1][TYPE_MEMORY ]
+1	1	+1	# table_execute_type   [2][TYPE_ALU    ]
+0	0	+1	# table_execute_type   [2][TYPE_SHIFT  ]
+0	0	+1	# table_execute_type   [2][TYPE_MOVE   ]
+0	0	+1	# table_execute_type   [2][TYPE_TEST   ]
+0	0	+1	# table_execute_type   [2][TYPE_MUL    ]
+0	0	+1	# table_execute_type   [2][TYPE_DIV    ]
+0	0	+1	# table_execute_type   [2][TYPE_EXTEND ]
+0	0	+1	# table_execute_type   [2][TYPE_FIND   ]
+0	0	+1	# table_execute_type   [2][TYPE_SPECIAL]
+0	0	+1	# table_execute_type   [2][TYPE_CUSTOM ]
+1	1	+1	# table_execute_type   [2][TYPE_BRANCH ]
+0	0	+1	# table_execute_type   [2][TYPE_MEMORY ]
+1	1	+1	# table_execute_type   [3][TYPE_ALU    ]
+1	1	+1	# table_execute_type   [3][TYPE_SHIFT  ]
+1	1	+1	# table_execute_type   [3][TYPE_MOVE   ]
+1	1	+1	# table_execute_type   [3][TYPE_TEST   ]
+0	0	+1	# table_execute_type   [3][TYPE_MUL    ]
+0	0	+1	# table_execute_type   [3][TYPE_DIV    ]
+1	1	+1	# table_execute_type   [3][TYPE_EXTEND ]
+1	1	+1	# table_execute_type   [3][TYPE_FIND   ]
+0	0	+1	# table_execute_type   [3][TYPE_SPECIAL]
+0	0	+1	# table_execute_type   [3][TYPE_CUSTOM ]
+1	1	+1	# table_execute_type   [3][TYPE_BRANCH ]
+0	0	+1	# table_execute_type   [3][TYPE_MEMORY ]
+0	0	+1	# table_execute_type   [4][TYPE_ALU    ]
+1	1	+1	# table_execute_type   [4][TYPE_SHIFT  ]
+1	1	+1	# table_execute_type   [4][TYPE_MOVE   ]
+0	0	+1	# table_execute_type   [4][TYPE_TEST   ]
+1	1	+1	# table_execute_type   [4][TYPE_MUL    ]
+1	1	+1	# table_execute_type   [4][TYPE_DIV    ]
+0	0	+1	# table_execute_type   [4][TYPE_EXTEND ]
+0	0	+1	# table_execute_type   [4][TYPE_FIND   ]
+0	0	+1	# table_execute_type   [4][TYPE_SPECIAL]
+0	0	+1	# table_execute_type   [4][TYPE_CUSTOM ]
+0	0	+1	# table_execute_type   [4][TYPE_BRANCH ]
+0	0	+1	# table_execute_type   [4][TYPE_MEMORY ]
+1	1	+1	# table_execute_thread [0][0]
+1	1	+1	# table_execute_thread [1][0]
+1	1	+1	# table_execute_thread [2][0]
+1	1	+1	# table_execute_thread [3][0]
+1	1	+1	# table_execute_thread [4][0]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/SelfTest/configuration/config_multi_execute-mono_thread.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/SelfTest/configuration/config_multi_execute-mono_thread.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/SelfTest/configuration/config_multi_execute-mono_thread.gen	(revision 145)
@@ -0,0 +1,85 @@
+Read_unit_to_Execution_unit
+3	3 	*2	# nb_read_unit           
+1	1 	+1	# nb_read_unit_port    [0] [nb_read_unit]
+2	2 	+1	# nb_read_unit_port    [1] [nb_read_unit]
+4	4 	+1	# nb_read_unit_port    [2] [nb_read_unit]
+4	4 	*2	# nb_execute_unit        
+1	1 	+1	# nb_execute_unit_port [0] [nb_execute_unit]
+1	1 	+1	# nb_execute_unit_port [1] [nb_execute_unit]
+1	1 	+1	# nb_execute_unit_port [2] [nb_execute_unit]
+1	1 	+1	# nb_execute_unit_port [3] [nb_execute_unit]
+1	1	*2	# nb_context             
+1	1	*2	# nb_front_end           
+1	1	*2	# nb_ooo_engine          
+64	64	*2	# nb_packet              
+32	32	*2	# size_general_data      
+2	2	*2	# size_special_data      
+64	64	*2	# nb_general_register    
+16	16	*2	# nb_special_register    
+4	4	*2	# size_store_queue       
+1	4	*4	# size_load_queue        
+0	1	+1	# priority
+1	1	+1	# table_routing        [0][0][0]
+0	0	+1	# table_routing        [0][1][0]
+0	0	+1	# table_routing        [0][2][0]
+0	0	+1	# table_routing        [0][3][0]
+0 	0	+1	# table_routing        [1][0][0]
+1	1	+1	# table_routing        [1][1][0]
+1	1	+1	# table_routing        [1][2][0]
+0	0	+1	# table_routing        [1][3][0]
+0	0	+1	# table_routing        [2][0][0]
+0	0	+1	# table_routing        [2][1][0]
+1	1	+1	# table_routing        [2][2][0]
+1	1	+1	# table_routing        [2][3][0]
+0	0	+1	# table_execute_type   [0][TYPE_ALU    ]
+0	0	+1	# table_execute_type   [0][TYPE_SHIFT  ]
+0	0	+1	# table_execute_type   [0][TYPE_MOVE   ]
+0	0	+1	# table_execute_type   [0][TYPE_TEST   ]
+0	0	+1	# table_execute_type   [0][TYPE_MUL    ]
+0	0	+1	# table_execute_type   [0][TYPE_DIV    ]
+0	0	+1	# table_execute_type   [0][TYPE_EXTEND ]
+0	0	+1	# table_execute_type   [0][TYPE_FIND   ]
+0	0	+1	# table_execute_type   [0][TYPE_SPECIAL]
+0	0	+1	# table_execute_type   [0][TYPE_CUSTOM ]
+0	0	+1	# table_execute_type   [0][TYPE_BRANCH ]
+1	1	+1	# table_execute_type   [0][TYPE_MEMORY ]
+1	1	+1	# table_execute_type   [1][TYPE_ALU    ]
+1	1	+1	# table_execute_type   [1][TYPE_SHIFT  ]
+1	1	+1	# table_execute_type   [1][TYPE_MOVE   ]
+1	1	+1	# table_execute_type   [1][TYPE_TEST   ]
+1	1	+1	# table_execute_type   [1][TYPE_MUL    ]
+1	1	+1	# table_execute_type   [1][TYPE_DIV    ]
+1	1	+1	# table_execute_type   [1][TYPE_EXTEND ]
+1	1	+1	# table_execute_type   [1][TYPE_FIND   ]
+1	1	+1	# table_execute_type   [1][TYPE_SPECIAL]
+1	1	+1	# table_execute_type   [1][TYPE_CUSTOM ]
+1	1	+1	# table_execute_type   [1][TYPE_BRANCH ]
+0	0	+1	# table_execute_type   [1][TYPE_MEMORY ]
+1	1	+1	# table_execute_type   [2][TYPE_ALU    ]
+0	0	+1	# table_execute_type   [2][TYPE_SHIFT  ]
+0	0	+1	# table_execute_type   [2][TYPE_MOVE   ]
+0	0	+1	# table_execute_type   [2][TYPE_TEST   ]
+0	0	+1	# table_execute_type   [2][TYPE_MUL    ]
+0	0	+1	# table_execute_type   [2][TYPE_DIV    ]
+0	0	+1	# table_execute_type   [2][TYPE_EXTEND ]
+0	0	+1	# table_execute_type   [2][TYPE_FIND   ]
+0	0	+1	# table_execute_type   [2][TYPE_SPECIAL]
+0	0	+1	# table_execute_type   [2][TYPE_CUSTOM ]
+1	1	+1	# table_execute_type   [2][TYPE_BRANCH ]
+0	0	+1	# table_execute_type   [2][TYPE_MEMORY ]
+1	1	+1	# table_execute_type   [3][TYPE_ALU    ]
+1	1	+1	# table_execute_type   [3][TYPE_SHIFT  ]
+1	1	+1	# table_execute_type   [3][TYPE_MOVE   ]
+1	1	+1	# table_execute_type   [3][TYPE_TEST   ]
+0	0	+1	# table_execute_type   [3][TYPE_MUL    ]
+0	0	+1	# table_execute_type   [3][TYPE_DIV    ]
+1	1	+1	# table_execute_type   [3][TYPE_EXTEND ]
+1	1	+1	# table_execute_type   [3][TYPE_FIND   ]
+0	0	+1	# table_execute_type   [3][TYPE_SPECIAL]
+0	0	+1	# table_execute_type   [3][TYPE_CUSTOM ]
+1	1	+1	# table_execute_type   [3][TYPE_BRANCH ]
+0	0	+1	# table_execute_type   [3][TYPE_MEMORY ]
+1	1	+1	# table_execute_thread [0][0]
+1	1	+1	# table_execute_thread [1][0]
+1	1	+1	# table_execute_thread [2][0]
+1	1	+1	# table_execute_thread [3][0]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/SelfTest/configuration/config_multi_execute-multi_thread.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/SelfTest/configuration/config_multi_execute-multi_thread.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/SelfTest/configuration/config_multi_execute-multi_thread.gen	(revision 145)
@@ -0,0 +1,97 @@
+Read_unit_to_Execution_unit
+3	3 	*2	# nb_read_unit           
+1	1 	+1	# nb_read_unit_port    [0] [nb_read_unit]
+1	1 	+1	# nb_read_unit_port    [1] [nb_read_unit]
+1	1 	+1	# nb_read_unit_port    [2] [nb_read_unit]
+4	4 	*2	# nb_execute_unit        
+1	1 	+1	# nb_execute_unit_port [0] [nb_execute_unit]
+1	1 	+1	# nb_execute_unit_port [1] [nb_execute_unit]
+1	1 	+1	# nb_execute_unit_port [2] [nb_execute_unit]
+1	1 	+1	# nb_execute_unit_port [3] [nb_execute_unit]
+4	4	*2	# nb_context             
+1	1	*2	# nb_front_end           
+1	1	*2	# nb_ooo_engine          
+64	64	*2	# nb_packet              
+32	32	*2	# size_general_data      
+2	2	*2	# size_special_data      
+64	64	*2	# nb_general_register    
+16	16	*2	# nb_special_register    
+4	4	*2	# size_store_queue       
+4	4	*2	# size_load_queue        
+0	1	+1	# priority
+1	1	+1	# table_routing        [0][0][0]
+0	0	+1	# table_routing        [0][1][0]
+0	0	+1	# table_routing        [0][2][0]
+0	0	+1	# table_routing        [0][3][0]
+0 	0	+1	# table_routing        [1][0][0]
+1	1	+1	# table_routing        [1][1][0]
+1	1	+1	# table_routing        [1][2][0]
+0	0	+1	# table_routing        [1][3][0]
+0	0	+1	# table_routing        [2][0][0]
+0	0	+1	# table_routing        [2][1][0]
+1	1	+1	# table_routing        [2][2][0]
+1	1	+1	# table_routing        [2][3][0]
+0	0	+1	# table_execute_type   [0][TYPE_ALU    ]
+0	0	+1	# table_execute_type   [0][TYPE_SHIFT  ]
+0	0	+1	# table_execute_type   [0][TYPE_MOVE   ]
+0	0	+1	# table_execute_type   [0][TYPE_TEST   ]
+0	0	+1	# table_execute_type   [0][TYPE_MUL    ]
+0	0	+1	# table_execute_type   [0][TYPE_DIV    ]
+0	0	+1	# table_execute_type   [0][TYPE_EXTEND ]
+0	0	+1	# table_execute_type   [0][TYPE_FIND   ]
+0	0	+1	# table_execute_type   [0][TYPE_SPECIAL]
+0	0	+1	# table_execute_type   [0][TYPE_CUSTOM ]
+0	0	+1	# table_execute_type   [0][TYPE_BRANCH ]
+1	1	+1	# table_execute_type   [0][TYPE_MEMORY ]
+1	1	+1	# table_execute_type   [1][TYPE_ALU    ]
+1	1	+1	# table_execute_type   [1][TYPE_SHIFT  ]
+1	1	+1	# table_execute_type   [1][TYPE_MOVE   ]
+1	1	+1	# table_execute_type   [1][TYPE_TEST   ]
+1	1	+1	# table_execute_type   [1][TYPE_MUL    ]
+1	1	+1	# table_execute_type   [1][TYPE_DIV    ]
+1	1	+1	# table_execute_type   [1][TYPE_EXTEND ]
+1	1	+1	# table_execute_type   [1][TYPE_FIND   ]
+1	1	+1	# table_execute_type   [1][TYPE_SPECIAL]
+1	1	+1	# table_execute_type   [1][TYPE_CUSTOM ]
+1	1	+1	# table_execute_type   [1][TYPE_BRANCH ]
+0	0	+1	# table_execute_type   [1][TYPE_MEMORY ]
+1	1	+1	# table_execute_type   [2][TYPE_ALU    ]
+0	0	+1	# table_execute_type   [2][TYPE_SHIFT  ]
+0	0	+1	# table_execute_type   [2][TYPE_MOVE   ]
+0	0	+1	# table_execute_type   [2][TYPE_TEST   ]
+0	0	+1	# table_execute_type   [2][TYPE_MUL    ]
+0	0	+1	# table_execute_type   [2][TYPE_DIV    ]
+0	0	+1	# table_execute_type   [2][TYPE_EXTEND ]
+0	0	+1	# table_execute_type   [2][TYPE_FIND   ]
+0	0	+1	# table_execute_type   [2][TYPE_SPECIAL]
+0	0	+1	# table_execute_type   [2][TYPE_CUSTOM ]
+1	1	+1	# table_execute_type   [2][TYPE_BRANCH ]
+0	0	+1	# table_execute_type   [2][TYPE_MEMORY ]
+1	1	+1	# table_execute_type   [3][TYPE_ALU    ]
+1	1	+1	# table_execute_type   [3][TYPE_SHIFT  ]
+1	1	+1	# table_execute_type   [3][TYPE_MOVE   ]
+1	1	+1	# table_execute_type   [3][TYPE_TEST   ]
+1	1	+1	# table_execute_type   [3][TYPE_MUL    ]
+1	1	+1	# table_execute_type   [3][TYPE_DIV    ]
+0	0	+1	# table_execute_type   [3][TYPE_EXTEND ]
+0	0	+1	# table_execute_type   [3][TYPE_FIND   ]
+1	1	+1	# table_execute_type   [3][TYPE_SPECIAL]
+0	0	+1	# table_execute_type   [3][TYPE_CUSTOM ]
+1	1	+1	# table_execute_type   [3][TYPE_BRANCH ]
+0	0	+1	# table_execute_type   [3][TYPE_MEMORY ]
+1	1	+1	# table_execute_thread [0][0]
+1	1	+1	# table_execute_thread [0][1]
+1	1	+1	# table_execute_thread [0][2]
+1	1	+1	# table_execute_thread [0][3]
+1	1	+1	# table_execute_thread [1][0]
+1	1	+1	# table_execute_thread [1][1]
+1	1	+1	# table_execute_thread [1][2]
+0	0	+1	# table_execute_thread [1][3]
+0	0	+1	# table_execute_thread [2][0]
+1	1	+1	# table_execute_thread [2][1]
+1	1	+1	# table_execute_thread [2][2]
+0	0	+1	# table_execute_thread [2][3]
+0	0	+1	# table_execute_thread [3][0]
+0	0	+1	# table_execute_thread [3][1]
+0	0	+1	# table_execute_thread [3][2]
+1	1	+1	# table_execute_thread [3][3]	
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/SelfTest/configuration/configuration.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/SelfTest/configuration/configuration.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/SelfTest/configuration/configuration.gen	(revision 145)
@@ -0,0 +1,16 @@
+Register_unit_Glue
+4	4	*4	#nb_ooo_engine    
+32	32	*2	#size_general_data
+2	2	+1	#size_special_data
+2	8	*4	#nb_gpr_read      
+2	8	*4	#nb_spr_read          
+1	4	*4	#nb_gpr_write     
+1	4	*4	#nb_spr_write     
+1	1	*2	#_nb_inst_insert_rob  [0]     
+2	2	*2	#_nb_inst_insert_rob  [1]     
+4	4	*2	#_nb_inst_insert_rob  [2]     
+8	8	*2	#_nb_inst_insert_rob  [3]     
+1	1	*2	#_nb_inst_retire_rob  [0]     
+2	2	*2	#_nb_inst_retire_rob  [1]     
+4	4	*2	#_nb_inst_retire_rob  [2]     
+8	8	*2	#_nb_inst_retire_rob  [3]     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/configuration/configuration_min.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/configuration/configuration_min.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/configuration/configuration_min.gen	(revision 145)
@@ -0,0 +1,18 @@
+Register_unit
+1	1	*4	#_nb_ooo_engine            
+32	32	*4	#_size_general_data        
+2	2	*4	#_size_special_data        
+1	1	*4	#_nb_gpr_read              
+1	1	*4	#_nb_gpr_write             
+1	1	*4	#_nb_gpr_bank              
+1	1	*4	#_nb_gpr_port_read_by_bank 
+1	1	*4	#_nb_gpr_port_write_by_bank
+1	1	*4	#_nb_spr_read              
+1	1	*4	#_nb_spr_write             
+1	1	*4	#_nb_spr_bank              
+1	1	*4	#_nb_spr_port_read_by_bank 
+1	1	*4	#_nb_spr_port_write_by_bank
+32 	32 	*4	#_nb_general_register [0]     
+32 	32  	*4	#_nb_special_register [0]     
+1	1	*4	#_nb_inst_insert_rob  [0]     
+1	1	*4	#_nb_inst_retire_rob  [0]     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/configuration/configuration_mono_context.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/configuration/configuration_mono_context.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/configuration/configuration_mono_context.gen	(revision 145)
@@ -0,0 +1,18 @@
+Register_unit
+1	1	*4	#_nb_ooo_engine            
+32	32	*4	#_size_general_data        
+32	32	*4	#_size_special_data        
+4	8	*4	#_nb_gpr_read              
+4	8	*4	#_nb_gpr_write             
+2	8	*4	#_nb_gpr_bank              
+1	4	*4	#_nb_gpr_port_read_by_bank 
+1	4	*4	#_nb_gpr_port_write_by_bank
+4	4	*4	#_nb_spr_read              
+4	4	*4	#_nb_spr_write             
+1	1	*4	#_nb_spr_bank              
+1	4	*4	#_nb_spr_port_read_by_bank 
+1	1	*4	#_nb_spr_port_write_by_bank
+32 	32 	*4	#_nb_general_register [0]     
+32 	32  	*4	#_nb_special_register [0]     
+1	4	*4	#_nb_inst_insert_rob  [0]     
+1	4	*4	#_nb_inst_retire_rob  [0]     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/configuration/configuration_multi_context.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/configuration/configuration_multi_context.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/configuration/configuration_multi_context.gen	(revision 145)
@@ -0,0 +1,30 @@
+Register_unit
+4	4	*4	#_nb_ooo_engine            
+32	32	*4	#_size_general_data        
+32	32	*4	#_size_special_data        
+4	8	*4	#_nb_gpr_read              
+4	8	*4	#_nb_gpr_write             
+1	4	*4	#_nb_gpr_bank              
+1	4	*4	#_nb_gpr_port_read_by_bank 
+1	4	*4	#_nb_gpr_port_write_by_bank
+4	4	*4	#_nb_spr_read              
+4	4	*4	#_nb_spr_write             
+1	1	*4	#_nb_spr_bank              
+2	2	*4	#_nb_spr_port_read_by_bank 
+2	2	*4	#_nb_spr_port_write_by_bank
+64 	64 	*2	#_nb_general_register [0]     
+32 	32 	*2	#_nb_general_register [1]     
+32 	32 	*2	#_nb_general_register [2]     
+16 	16 	*2	#_nb_general_register [3]     
+8  	8    	*2	#_nb_special_register [0]     
+32 	32   	*2	#_nb_special_register [1]     
+64 	64   	*2	#_nb_special_register [2]     
+128	128  	*2	#_nb_special_register [3]     
+8	8	*4	#_nb_inst_insert_rob  [0]     
+4	4	*4	#_nb_inst_insert_rob  [1]     
+2	2	*4	#_nb_inst_insert_rob  [2]     
+1	1	*4	#_nb_inst_insert_rob  [3]     
+1	1	*4	#_nb_inst_retire_rob  [0]     
+2	2	*4	#_nb_inst_retire_rob  [1]     
+4	4	*4	#_nb_inst_retire_rob  [2]     
+8	8	*4	#_nb_inst_retire_rob  [3]     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/SelfTest/configuration/config_min.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/SelfTest/configuration/config_min.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/SelfTest/configuration/config_min.gen	(revision 145)
@@ -0,0 +1,50 @@
+Execute_loop
+1	1	+1	# nb_read_unit                              
+1	1	+1	# nb_functionnal_unit                       
+1	1	+1	# nb_load_store_unit                        
+1	1	+1	# nb_write_unit                             
+1	1	+1	# nb_context                                
+1	1	+1	# nb_front_end                              
+1	1	+1	# nb_ooo_engine                             
+32	32	+1	# nb_packet                                 
+32	32	+1	# size_general_data                         
+2	2	+1	# size_special_data                         
+1	1	+1	# size_read_queue                            [0]       [nb_read_unit]
+1	1	+1	# size_reservation_station                   [0]       [nb_read_unit]
+1	1	+1	# nb_inst_retire                             [0]       [nb_read_unit]
+1	1	+1	# nb_inst_functionnal_unit		     [0]       [nb_inst_functionnal]
+2	2	+1	# size_store_queue                           [0]       [nb_load_store_unit]
+1	1	+1	# size_load_queue                            [0]       [nb_load_store_unit]
+1	1	+1	# size_speculative_access_queue              [0]       [nb_load_store_unit]
+1	1	+1	# nb_port_check                              [0]       [nb_load_store_unit]
+2	2	+1	# speculative_load                           [0]       [nb_load_store_unit]
+0	0	+1	# nb_bypass_memory                           [0]       [nb_load_store_unit]
+1	1	+1	# nb_cache_port                              [0]       [nb_load_store_unit]
+1	1	+1	# nb_inst_memory                             [0]       [nb_load_store_unit]
+1	1	+1	# size_write_queue                           [0]       [nb_write_unit]
+1	1	+1	# size_execute_queue                         [0]       [nb_write_unit]
+1	1	+1	# nb_bypass_write                            [0]       [nb_write_unit]
+0	1	+1	# write_queue_scheme                         [0]       [nb_write_unit]
+1	1	+1	# nb_gpr_bank                                	       
+1	1	+1	# nb_gpr_port_read_by_bank                   	       
+1	1	+1	# nb_gpr_port_write_by_bank                  	       
+1	1	+1	# nb_spr_bank                                	       
+1	1	+1	# nb_spr_port_read_by_bank                   	       
+1	1	+1	# nb_spr_port_write_by_bank                  	       
+64	64	+1	# nb_general_register                        [0]       [nb_ooo_engine]		  
+16	16	+1	# nb_special_register                        [0]       [nb_ooo_engine]		  
+1	1	+1	# nb_inst_insert_rob                         [0]       [nb_ooo_engine]		  
+1	1	+1	# nb_inst_retire_rob                         [0]       [nb_ooo_engine]		  
+1	1	+1	# execution_unit_to_write_unit_priority                                         
+1	1	+1	# execution_unit_to_write_unit_table_routing [0][0][0] [nb_execute_unit][nb_execute_unit_port][nb_write_unit]
+1	1	+1	# execution_unit_to_write_unit_table_routing [1][0][0] [nb_execute_unit][nb_execute_unit_port][nb_write_unit]
+1	1	+1	# execution_unit_to_write_unit_table_thread  [0][0]    [nb_write_unit][nb_thread]	  
+1	1	+1	# read_unit_to_execution_unit_priority                                          
+1	1	+1	# read_unit_to_execution_unit_table_routing  [0][0][0] [nb_read_unit][nb_execute_unit][nb_execute_unit_port]
+1	1	+1	# read_unit_to_execution_unit_table_routing  [0][1][0] [nb_read_unit][nb_execute_unit][nb_execute_unit_port]
+1	1	+1	# read_unit_to_execution_unit_table_thread   [0][0]    [nb_execute_unit][nb_thread]    
+1	1	+1	# read_unit_to_execution_unit_table_thread   [1][0]    [nb_execute_unit][nb_thread]    
+0	0	+1      # is_load_store_unit                         [0]       [nb_execute_unit]
+1	1	+1      # is_load_store_unit                         [1]       [nb_execute_unit]
+0       0       +1      # translate_num_execute_unit                 [0]       [nb_execute_unit]
+0       0       +1      # translate_num_execute_unit                 [1]       [nb_execute_unit]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/SelfTest/configuration/config_thread_1_execute_2a.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/SelfTest/configuration/config_thread_1_execute_2a.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/SelfTest/configuration/config_thread_1_execute_2a.gen	(revision 145)
@@ -0,0 +1,50 @@
+Execute_loop
+1	1	+1	# nb_read_unit                              
+1	1	+1	# nb_functionnal_unit                       
+1	1	+1	# nb_load_store_unit                        
+1	1	+1	# nb_write_unit                             
+1	1	+1	# nb_context                                
+1	1	+1	# nb_front_end                              
+1	1	+1	# nb_ooo_engine                             
+32	32	+1	# nb_packet                                 
+32	32	+1	# size_general_data                         
+2	2	+1	# size_special_data                         
+4	4	*4	# size_read_queue                            [0]       [nb_read_unit]
+4	4	*4	# size_reservation_station                   [0]       [nb_read_unit]
+2	2	+1	# nb_inst_retire                             [0]       [nb_read_unit]
+1	1	+1	# nb_inst_functionnal_unit		     [0]       [nb_inst_functionnal]
+4	4	*2	# size_store_queue                           [0]       [nb_load_store_unit]
+4	4	*2	# size_load_queue                            [0]       [nb_load_store_unit]
+4	4	*2	# size_speculative_access_queue              [0]       [nb_load_store_unit]
+1	1	+1	# nb_port_check                              [0]       [nb_load_store_unit]
+2	2	+1	# speculative_load                           [0]       [nb_load_store_unit]
+0	0	+1	# nb_bypass_memory                           [0]       [nb_load_store_unit]
+1	1	+1	# nb_cache_port                              [0]       [nb_load_store_unit]
+1	1	+1	# nb_inst_memory                             [0]       [nb_load_store_unit]
+4	4	*4	# size_write_queue                           [0]       [nb_write_unit]
+4	4	*4	# size_execute_queue                         [0]       [nb_write_unit]
+2	2	+1	# nb_bypass_write                            [0]       [nb_write_unit]
+0	1	+1	# write_queue_scheme                         [0]       [nb_write_unit]
+4	4	+1	# nb_gpr_bank                                	       
+1	1	+1	# nb_gpr_port_read_by_bank                   	       
+1	1	+1	# nb_gpr_port_write_by_bank                  	       
+4	4	+1	# nb_spr_bank                                	       
+1	1	+1	# nb_spr_port_read_by_bank                   	       
+1	1	+1	# nb_spr_port_write_by_bank                  	       
+64	64	+1	# nb_general_register                        [0]       [nb_ooo_engine]		  
+16	16	+1	# nb_special_register                        [0]       [nb_ooo_engine]		  
+1	1	+1	# nb_inst_insert_rob                         [0]       [nb_ooo_engine]		  
+1	1	+1	# nb_inst_retire_rob                         [0]       [nb_ooo_engine]		  
+1	1	+1	# execution_unit_to_write_unit_priority                                         
+1	1	+1	# execution_unit_to_write_unit_table_routing [0][0][0] [nb_execute_unit][nb_execute_unit_port][nb_write_unit]
+1	1	+1	# execution_unit_to_write_unit_table_routing [1][0][0] [nb_execute_unit][nb_execute_unit_port][nb_write_unit]
+1	1	+1	# execution_unit_to_write_unit_table_thread  [0][0]    [nb_write_unit][nb_thread]	  
+1	1	+1	# read_unit_to_execution_unit_priority                                          
+1	1	+1	# read_unit_to_execution_unit_table_routing  [0][0][0] [nb_read_unit][nb_execute_unit][nb_execute_unit_port]
+1	1	+1	# read_unit_to_execution_unit_table_routing  [0][1][0] [nb_read_unit][nb_execute_unit][nb_execute_unit_port]
+1	1	+1	# read_unit_to_execution_unit_table_thread   [0][0]    [nb_execute_unit][nb_thread]    
+1	1	+1	# read_unit_to_execution_unit_table_thread   [1][0]    [nb_execute_unit][nb_thread]    
+0	0	+1      # is_load_store_unit                         [0]       [nb_execute_unit]
+1	1	+1      # is_load_store_unit                         [1]       [nb_execute_unit]
+0       0       +1      # translate_num_execute_unit                 [0]       [nb_execute_unit]
+0       0       +1      # translate_num_execute_unit                 [1]       [nb_execute_unit]
